/*
 * only put things in here that are truly common
 * to all OS/en.  However use of #ifdef OS is ok.
 */
#include <stdio.h>
#include <string.h>
#ifdef FREEBSD
#include <sys/types.h>
#include <sys/socket.h>   
#include <net/ethernet.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#else
#include <sys/socket.h>   
#include <netinet/in.h>
#include <arpa/inet.h>
#endif

#include "common.h"

/*------------------------------------------------------------------*/
/*
 * Display an Ethernet address in readable format.
 */
char *
pr_ether(unsigned char *ptr)
{
  static char buff[64];

  bzero(buff, 64);
  sprintf(buff, "%02X:%02X:%02X:%02X:%02X:%02X",
	(ptr[0] & 0xFF), (ptr[1] & 0xFF), (ptr[2] & 0xFF),
	(ptr[3] & 0xFF), (ptr[4] & 0xFF), (ptr[5] & 0xFF)
  );
  return(buff);
}


/* 
 * input: 6 byte hex buffer.
 * output: formatted string for MAC address
 */
char *getmacString( unsigned char *mac, int lmax)
{
	if (lmax > 64)
		return(NULL);
	return pr_ether( mac );
}

int percent( int value, int lmin, int lmax )
{
  if( value < lmin ) value = lmin;
  if( value > lmax ) value = lmax;
#ifdef PERCENTDEBUG
printf("value %d, min %d, max %d, result %d\n",
	value, lmin, lmax, ((value-lmin)*100)/(lmax-lmin));
#endif
  return ((value-lmin)*100)/(lmax-lmin);
}

char *
getip(unsigned long ipa)
{
        return(inet_ntoa((const in_addr &)ipa));
}

