/*
 * iSigStat.h == interface to SigStat implementation
 * 
 *
 */

#ifndef ISIGSTAT_H
#define ISIGSTAT_H

#include "sigtuple.h"

#define MANAGED_MODE	0
#define ADHOC_MODE	1

typedef struct operation_info {
  char mode[10];
  char *essid;
  char channel[15];
  char mac[64];
  char ifname[10];
  int maxSignal;
  int maxNoise;
  int maxQuality;
  int minSignal;
  int minNoise;
  int minQuality;
} operationInfo;

class iSigStat{
public:
  virtual int Initialize( char *ifname, int flags) = 0;
  virtual int wifi_getifs( int *count,char **iflist, int max) = 0;
  virtual int wifi_getmode() = 0;
  virtual char *wifi_getessid() = 0;
  virtual char * wifi_getchannel() = 0;
  virtual int wifi_getrange( int *maxLevel, int *maxNoise, int *maxQual,
		int *minLevel, int *minNoise, int *minQual ) = 0;
  virtual int wifi_getsignal( int *signal, int *noise, int *qual ) = 0;
  virtual unsigned char *wifi_getmac(unsigned char *addr ) = 0;
  virtual int wifi_gettable( int count, sigtuple *sigtupleAr ) = 0;
  virtual void wifi_close() = 0;
};

#endif // ndef ISIGSTAT_H__


