/*
 * sigtuple.h
 *
 * definition of signal strength tuple
 */

#ifndef SIGTUPLE_H
#define SIGTUPLE_H

/*
 * table returned with slightly different values from
 * hw ... either gathered from signal strength cache
 * in adhoc mode OR apscan.  Not managed mode in which
 * we assume we are associated with one ap only.
 */
typedef struct sig_tuple {
  int signal;		/* adhoc or apscan mode */
  int noise;		/* adhoc or apscan mode */
  int quality;		/* adhoc or apscan mode */
  unsigned char mac[6];  /* in apscan mode only */
  unsigned long ip;  /* in adhoc mode, using iwspy/if_wi sig cache only */
  int channel;       /* in apscan mode only */
  int wep;	     /* in apscan mode, 1 if wep enable */
  char essid[33];    /* in apscan mode */
} sigtuple;


#endif // ndef SIGTUPLE_H
